Public Member Functions | Private Slots | Private Member Functions | Private Attributes

# ShXbee Class Reference

Main class of the xbee plug-in. More...

`#include <shxbee.h>`

Inheritance diagram for ShXbee:
[legend]
Collaboration diagram for ShXbee:
[legend]

List of all members.

## Public Member Functions
| ShXbee (QObject *parent=0)
virtual | ~ShXbee ()
virtual bool | init (QString param)
virtual void | updatePins (const QList< ShPin > &pins)
virtual void | processMessage (ShMessagePtr message)
void | setInputMonitoring ()
## Private Slots
void | processPacket (QByteArray data)
void | messageProcessed (int id)
void | messageError (int id, QString reason)
void | messageTimeout ()
## Private Member Functions
quint8 | nextFrameId ()
bool | sendPacket (int id, ShMessagePtr message, XbPacket *packet)
## Private Attributes
XbInterface * | mInterface
quint8 | mLastFrameId
QMap< int, XbMessagePtr > | mMsgPool
QMap< quint64, XbModuleData > | mModules

## Detailed Description

Main class of the xbee plug-in.

Definition at line 52 of file shxbee.h.

## Constructor & Destructor Documentation

ShXbee::ShXbee | ( | QObject * | parent = `0` | ) |

Definition at line 32 of file shxbee.cpp.

virtual ShXbee::~ShXbee | ( |  | ) | `[inline, virtual]`

Definition at line 59 of file shxbee.h.

## Member Function Documentation

bool ShXbee::init | ( | QString | param | ) | `[virtual]`

Implements ShObject.

Definition at line 37 of file shxbee.cpp.

References mInterface, mLastFrameId, and processPacket().

Here is the call graph for this function:

void ShXbee::messageError | ( | int | id,
|  | QString | reason |
| ) |  |  | `[private, slot]`

Definition at line 231 of file shxbee.cpp.

References ShObjectHelper::errorMessage(), and mMsgPool.

Referenced by processPacket().

Here is the call graph for this function:

Here is the caller graph for this function:

void ShXbee::messageProcessed | ( | int | id | ) | `[private, slot]`

Definition at line 217 of file shxbee.cpp.

References ShObjectHelper::ackMessage(), and mMsgPool.

Referenced by processPacket().

Here is the call graph for this function:

Here is the caller graph for this function:

void ShXbee::messageTimeout | ( |  | ) | `[private, slot]`

Definition at line 243 of file shxbee.cpp.

References ShObjectHelper::errorMessage(), XbMessage::message, and mMsgPool.

Referenced by sendPacket().

Here is the call graph for this function:

Here is the caller graph for this function:

quint8 ShXbee::nextFrameId | ( |  | ) | `[private]`

Definition at line 132 of file shxbee.cpp.

References mLastFrameId.

Referenced by processMessage(), and updatePins().

Here is the caller graph for this function:

void ShXbee::processMessage | ( | ShMessagePtr | message | ) | `[virtual]`

Definition at line 139 of file shxbee.cpp.

References XbFrameId::frameId(), nextFrameId(), sendPacket(), XbAddr64::setAddr64(), XbCommand::setCommand(), XbFrameId::setFrameId(), XbOptions::setOptions(), and XbRfData::setRfData().

Here is the call graph for this function:

void ShXbee::processPacket | ( | QByteArray | data | ) | `[private, slot]`

Definition at line 253 of file shxbee.cpp.

References XbAddr64::addr64(), XbCommand::cmdParam(), XbCommand::command(), XbDeliveryStatus::deliveryStatus(), XbDeliveryStatus::deliveryStatusString(), XbIoSamplesBlock::digitalMask(), XbIoSamplesBlock::digitalSample(), XbFrameId::frameId(), XbIoSamples::ioSamples(), messageError(), messageProcessed(), mModules, ShObjectHelper::outputUpdated(), XbPacket::parseFrameData(), XbRfData::rfData(), and XbPacket::valid().

Referenced by init().

Here is the call graph for this function:

Here is the caller graph for this function:

bool ShXbee::sendPacket | ( | int | id,
|  | ShMessagePtr | message,
|  | XbPacket * | packet |
| ) |  |  | `[private]`

Definition at line 198 of file shxbee.cpp.

References messageTimeout(), mInterface, mMsgPool, and XbInterface::sendPacket().

Referenced by processMessage().

Here is the call graph for this function:

Here is the caller graph for this function:

void ShXbee::setInputMonitoring | ( |  | ) |

void ShXbee::updatePins | ( | const QList< ShPin > & | pins | ) | `[virtual]`

Implements ShObject.

Definition at line 51 of file shxbee.cpp.

References ShPin::isInput(), ShPin::isOutput(), mInterface, mModules, nextFrameId(), XbInterface::sendPacket(), XbAddr64::setAddr64(), XbCommand::setCommand(), XbFrameId::setFrameId(), XbOptions::setOptions(), and ShPin::signal().

Here is the call graph for this function:

## Member Data Documentation

XbInterface* ShXbee::mInterface`[private]`

Definition at line 76 of file shxbee.h.

Referenced by init(), sendPacket(), and updatePins().

quint8 ShXbee::mLastFrameId`[private]`

Definition at line 77 of file shxbee.h.

Referenced by init(), and nextFrameId().

QMap<quint64, XbModuleData> ShXbee::mModules`[private]`

Definition at line 79 of file shxbee.h.

Referenced by processPacket(), and updatePins().

QMap<int, XbMessagePtr> ShXbee::mMsgPool`[private]`

Definition at line 78 of file shxbee.h.

Referenced by messageError(), messageProcessed(), messageTimeout(), and sendPacket().

The documentation for this class was generated from the following files:

- shxbee/shxbee.h
- shxbee/shxbee.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends